Package com.independentsoft.office.odf

# Class PageNumberIndexEntry

java.lang.Object
com.independentsoft.office.odf.PageNumberIndexEntry

All Implemented Interfaces:
  `IIllustrationIndexEntryTemplateContent`, `ITableOfContentsEntryTemplateContent`

public class PageNumberIndexEntry extends Object implements ITableOfContentsEntryTemplateContent, IIllustrationIndexEntryTemplateContent
Represents the number of the chapter where an index entry is located.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageNumberIndexEntry()`
  Initializes a new instance of the PageNumberIndexEntry class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageNumberIndexEntry`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getStyle()`
  Gets the character family styles.
  `void`
  `setStyle​(String style)`
  Sets the character family styles.
  `String`
  `toString()`
  Converts the value of the current PageNumberIndexEntry object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageNumberIndexEntry

    public PageNumberIndexEntry()
    Initializes a new instance of the PageNumberIndexEntry class.

- ## Method Details

  - ### clone

    public PageNumberIndexEntry clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IIllustrationIndexEntryTemplateContent`
    Specified by:
      `clone` in interface `ITableOfContentsEntryTemplateContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current PageNumberIndexEntry object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyle

    public String getStyle()
    Gets the character family styles.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the character family styles.
    Parameters:
      `style` - the new style